ros-kilted-tricycle-steering-controller (4.23.0-2noble) noble; urgency=high

  * Bump version of pre-commit hooks (#1618 <https://github.com/ros-controls/ros2_controllers/issues/1618>)
  * Use global cmake macros and fix gcc-10 build (#1527 <https://github.com/ros-controls/ros2_controllers/issues/1527>)
  * Contributors: Christoph Fröhlich, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Apr 2025 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.22.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Mar 2025 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.21.0-2noble) noble; urgency=high

  * Fix the exported interface naming in the chainable controllers (#1528 <https://github.com/ros-controls/ros2_controllers/issues/1528>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Mar 2025 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.20.0-2noble) noble; urgency=high

  * Update paths of GPL includes (#1487 <https://github.com/ros-controls/ros2_controllers/issues/1487>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.19.0-2noble) noble; urgency=high

  * Fix typos in steering_controllers_lib (#1464 <https://github.com/ros-controls/ros2_controllers/issues/1464>)
  * Remove visibility macros (#1451 <https://github.com/ros-controls/ros2_controllers/issues/1451>)
  * Contributors: Bence Magyar, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.18.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Dec 2024 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.17.0-2noble) noble; urgency=high

  * Add few warning flags to error in all ros2_controllers packages and fix tests (#1370 <https://github.com/ros-controls/ros2_controllers/issues/1370>)
  * Update maintainers and add url tags (#1363 <https://github.com/ros-controls/ros2_controllers/issues/1363>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 07 Dec 2024 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.16.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Nov 2024 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.15.0-2noble) noble; urgency=high

  * Adapt test to new way of exporting reference interfaces (Related to #1240 <https://github.com/ros-controls/ros2_controllers/issues/1240> in ros2_control) (#1103 <https://github.com/ros-controls/ros2_controllers/issues/1103>)
  * Contributors: Manuel Muth

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 07 Oct 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.14.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Sep 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.13.0-2noble) noble; urgency=high

  * Fixes tests to work with use_global_arguments NodeOptions parameter  (#1256 <https://github.com/ros-controls/ros2_controllers/issues/1256>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Aug 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.12.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Aug 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.12.0-2noble) noble; urgency=high

  * Add missing includes (#1226 <https://github.com/ros-controls/ros2_controllers/issues/1226>)
  * Change the subscription timeout in the tests to 5ms (#1219 <https://github.com/ros-controls/ros2_controllers/issues/1219>)
  * Unused header cleanup (#1199 <https://github.com/ros-controls/ros2_controllers/issues/1199>)
  * Fix WaitSet issue in tests  (#1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>)
  * Fix parallel gripper controller CI (#1202 <https://github.com/ros-controls/ros2_controllers/issues/1202>)
  * Contributors: Christoph Fröhlich, Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.11.0-2noble) noble; urgency=high

  * added changes corresponding to the logger and clock propagation in ResourceManager (#1184 <https://github.com/ros-controls/ros2_controllers/issues/1184>)
  * Fix steering controllers library kinematics (#1150 <https://github.com/ros-controls/ros2_controllers/issues/1150>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 09 Jul 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.10.0-2noble) noble; urgency=high

  * [Steering controllers library] Reference interfaces are body twist (#1168 <https://github.com/ros-controls/ros2_controllers/issues/1168>)
  * Fix steering controllers library code documentation and naming (#1149 <https://github.com/ros-controls/ros2_controllers/issues/1149>)
  * Remove unstamped twist subscribers + parameters (#1151 <https://github.com/ros-controls/ros2_controllers/issues/1151>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota, Quique Llorente

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Jul 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.9.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Jun 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.8.0-2noble) noble; urgency=high

  * Add parameter check for geometric values (#1120 <https://github.com/ros-controls/ros2_controllers/issues/1120>)
  * add missing compiler definitions of RCPPUTILS_VERSION (#1089 <https://github.com/ros-controls/ros2_controllers/issues/1089>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 May 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.7.0-2noble) noble; urgency=high

  * Fix pid_controller build on ROS 2 Rolling on Ubuntu 24.04 (#1084 <https://github.com/ros-controls/ros2_controllers/issues/1084>)
  * Fix usage of visibility macros (#1039 <https://github.com/ros-controls/ros2_controllers/issues/1039>)
  * Contributors: Chris Lalancette, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 05:00:00 -0000

ros-kilted-tricycle-steering-controller (4.6.0-2noble) noble; urgency=high

  * Add test_depend on hardware_interface_testing (#1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>)
  * Fix tests for using new get_node_options API (#840 <https://github.com/ros-controls/ros2_controllers/issues/840>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.5.0-2noble) noble; urgency=high

  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.4.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.3.0-2noble) noble; urgency=high

  * Add few warning flags to error (#961 <https://github.com/ros-controls/ros2_controllers/issues/961>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.2.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.1.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Dec 2023 06:00:00 -0000

ros-kilted-tricycle-steering-controller (4.0.0-2noble) noble; urgency=high

  * fix tests for API break of passing controller manager update rate in init method (#854 <https://github.com/ros-controls/ros2_controllers/issues/854>)
  * Adjust tests after passing URDF to controllers (#817 <https://github.com/ros-controls/ros2_controllers/issues/817>)
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Nov 2023 06:00:00 -0000

ros-kilted-tricycle-steering-controller (3.17.0-2noble) noble; urgency=high

  * Improve docs (#785 <https://github.com/ros-controls/ros2_controllers/issues/785>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.16.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Sep 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.15.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Sep 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.14.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.13.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 04 Aug 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.12.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Jul 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.11.0-2noble) noble; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Let sphinx add parameter description to documentation (#651 <https://github.com/ros-controls/ros2_controllers/issues/651>)
  * Contributors: Christoph Fröhlich, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 24 Jun 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.10.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Jun 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.10.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Jun 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.9.0-2noble) noble; urgency=high

  * Fix sphinx for steering odometry library/controllers (#626 <https://github.com/ros-controls/ros2_controllers/issues/626>)
  * Steering odometry library and controllers (#484 <https://github.com/ros-controls/ros2_controllers/issues/484>)
  * Contributors: Bence Magyar, Christoph Fröhlich, Tomislav Petković

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 28 May 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.8.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 14 May 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.7.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 May 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.6.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Apr 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.5.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Apr 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.4.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Apr 2023 05:00:00 -0000

ros-kilted-tricycle-steering-controller (3.3.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 06:00:00 -0000

ros-kilted-tricycle-steering-controller (3.2.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 06:00:00 -0000

ros-kilted-tricycle-steering-controller (3.1.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 06:00:00 -0000

ros-kilted-tricycle-steering-controller (3.0.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 06:00:00 -0000

ros-kilted-tricycle-steering-controller (2.15.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 06:00:00 -0000

ros-kilted-tricycle-steering-controller (2.14.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 06:00:00 -0000

ros-kilted-tricycle-steering-controller (2.13.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Oct 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.12.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 01 Sep 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.11.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Aug 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.10.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Aug 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.9.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Jul 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.8.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Jul 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.7.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Jul 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.6.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 18 Jun 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.5.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 13 May 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.4.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Apr 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.3.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Apr 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.2.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 05:00:00 -0000

ros-kilted-tricycle-steering-controller (2.1.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 06:00:00 -0000

ros-kilted-tricycle-steering-controller (2.0.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 06:00:00 -0000

ros-kilted-tricycle-steering-controller (2.0.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 06:00:00 -0000

ros-kilted-tricycle-steering-controller (1.3.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 06:00:00 -0000

ros-kilted-tricycle-steering-controller (1.2.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 06:00:00 -0000

ros-kilted-tricycle-steering-controller (1.1.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Oct 2021 05:00:00 -0000

ros-kilted-tricycle-steering-controller (1.0.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Sep 2021 05:00:00 -0000

ros-kilted-tricycle-steering-controller (0.5.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Aug 2021 05:00:00 -0000

ros-kilted-tricycle-steering-controller (0.4.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 08 Jul 2021 05:00:00 -0000

ros-kilted-tricycle-steering-controller (0.4.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Jun 2021 05:00:00 -0000

ros-kilted-tricycle-steering-controller (0.3.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 May 2021 05:00:00 -0000

ros-kilted-tricycle-steering-controller (0.3.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 May 2021 05:00:00 -0000

ros-kilted-tricycle-steering-controller (0.2.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 May 2021 05:00:00 -0000

ros-kilted-tricycle-steering-controller (0.2.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 06 Feb 2021 06:00:00 -0000

ros-kilted-tricycle-steering-controller (0.1.2-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 07 Jan 2021 06:00:00 -0000

ros-kilted-tricycle-steering-controller (0.1.1-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 06:00:00 -0000

ros-kilted-tricycle-steering-controller (0.1.0-2noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 06:00:00 -0000


